Bug 1020526 - "service katello" command returns incorrect options
"service katello" command returns incorrect options
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 16:15 EDT by Chris Duryee
Modified: 2014-06-19 15:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 12:43:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Duryee 2013-10-17 16:15:52 EDT
Description of problem:

The katello init.d script outputs the incorrect options.

Version-Release number of selected component (if applicable): katello-common-1.4.6-39.el6sat.noarch


How reproducible: every time


Steps to Reproduce:
1. run "service katello" as root

Actual results:

# service katello
Usage: {start|stop|restart|condrestart|status|initdb}

however, "initdb" is not a valid option for the script.

Expected results:

something like:

Usage: {start|stop|restart|condrestart|condstop|status|depcheck}
Comment 1 RHEL Product and Program Management 2013-10-17 16:26:07 EDT
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 3 Bryan Kearney 2014-03-11 12:43:46 EDT
Closing old bugs which are not relevant based on new UI and CLI

Note You need to log in before you can comment on or make changes to this bug.